# highscore.h File Reference

Declaration of functions and types defined in highscore.h and highscore_gui.h. More...

`#include "stdafx.h"`
`#include "strings_type.h"`
`#include "core/math_func.hpp"`
`#include "company_type.h"`

Go to the source code of this file.

## Data Structures

struct | HighScore

## Functions

void | SaveToHighScore ()
| Save HighScore table to file.
void | LoadFromHighScore ()
| Initialize the highscore table to 0 and if any file exists, load in values.
int8 | SaveHighScoreValue (const Company *c)
| Save the highscore for the company.
int8 | SaveHighScoreValueNetwork ()
StringID | EndGameGetPerformanceTitleFromValue (uint value)
void | ShowHighscoreTable (int difficulty, int8 rank)
| Show the highscore table for a given difficulty.

## Variables

HighScore | _highscore_table [5][5]

## Detailed Description

Declaration of functions and types defined in highscore.h and highscore_gui.h.

Definition in file highscore.h.

## Function Documentation

void ShowHighscoreTable | ( | int | difficulty,
|  | int8 | ranking |
| ) |  |  |

Show the highscore table for a given difficulty.

When called from endgame ranking is set to the top5 element that was newly added and is thus highlighted

Definition at line 186 of file highscore_gui.cpp.

References DeleteWindowByClass().